Bug 1556708 (CVE-2018-7456) - CVE-2018-7456 libtiff: NULL pointer dereference in tif_print.c:TIFFPrintDirectory() causes a denial of service
Summary: CVE-2018-7456 libtiff: NULL pointer dereference in tif_print.c:TIFFPrintDirec...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-7456
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1556709 1556710 1561318 1561319
Blocks: 1556712
TreeView+ depends on / blocked
 
Reported: 2018-03-15 06:20 UTC by Sam Fowler
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-27 06:19:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2051 None None None 2019-08-06 12:08:05 UTC
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:08:50 UTC

Description Sam Fowler 2018-03-15 06:20:54 UTC
LibTIFF through version 4.0.9 is vulnerable to a NULL pointer dereference in tif_print.c:TIFFPrintDirectory(). An attacker exploit this to cause a denial of service using the tiffinfo command with a crafted TIFF image.

This is a different issue to CVE-2017-18013.


Upstream Bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2778

Comment 1 Sam Fowler 2018-03-15 06:21:17 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1556709]

Comment 4 Huzaifa S. Sidhpurwala 2018-03-27 06:18:05 UTC
Analysis: 

Essentially a null pointer deref in the way tags are handled when printing them from a specially crafted TIFF file.

Comment 7 errata-xmlrpc 2019-08-06 12:08:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2051 https://access.redhat.com/errata/RHSA-2019:2051

Comment 8 errata-xmlrpc 2019-08-06 12:08:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053


Note You need to log in before you can comment on or make changes to this bug.